export default class ResourceLoader {
    static loadText(url: string): Promise<string>;
    static loadJson<T = any>(url: string): Promise<T>;
    static loadImage(url: string): Promise<HTMLImageElement>;
    static loadImageData(url: string): Promise<string>;
    loadText(url: string): Promise<string>;
    loadJson<T = any>(url: string): Promise<T>;
    loadImage(url: string): Promise<HTMLImageElement>;
    loadImageData(url: string): Promise<string>;
}
